Bug 847267 - SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the directory /agage.
SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the direct...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:3a390064fca492372875b28f0b5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 06:50 EDT by geigor
Modified: 2012-10-17 04:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 04:27:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description geigor 2012-08-10 06:50:39 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.5.0-2.fc17.i686
time:           Fri 10 Aug 2012 12:49:50 PM CEST

description:
:SELinux is preventing /usr/bin/pulseaudio from 'write' accesses on the directory /agage.
:
:*****  Plugin catchall_labels (83.8 confidence) suggests  ********************
:
:If you want to allow pulseaudio to have write access on the agage directory
:Then you need to change the label on /agage
:Do
:# semanage fcontext -a -t FILE_TYPE '/agage'
:where FILE_TYPE is one of the following: mozilla_plugin_tmp_t, tmpfs_t, tmp_t, user_fonts_cache_t, user_tmp_t, mozilla_plugin_tmpfs_t, user_home_t, pulseaudio_home_t, data_home_t, gnome_home_type, xdm_tmp_t, gconf_home_t, home_cert_t, gnome_home_t, mozilla_home_t, admin_home_t, user_home_dir_t. 
:Then execute: 
:restorecon -v '/agage'
:
:
:*****  Plugin catchall (17.1 confidence) suggests  ***************************
:
:If you believe that pulseaudio should be allowed write access on the agage directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep pulseaudio /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:default_t:s0
:Target Objects                /agage [ dir ]
:Source                        pulseaudio
:Source Path                   /usr/bin/pulseaudio
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           gnash-0.8.10-2.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-142.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.0-2.fc17.i686 #1
:                              SMP Mon Jul 30 15:41:00 UTC 2012 i686 i686
:Alert Count                   14
:First Seen                    Fri 10 Aug 2012 12:44:28 PM CEST
:Last Seen                     Fri 10 Aug 2012 12:44:41 PM CEST
:Local ID                      ec31b709-25c7-4018-aeca-16b75168b604
:
:Raw Audit Messages
:type=AVC msg=audit(1344595481.116:301): avc:  denied  { write } for  pid=5299 comm="gtk-gnash" name="/" dev="sda2" ino=2 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:default_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1344595481.116:301): arch=i386 syscall=mkdir success=no exit=EACCES a0=bf83ba69 a1=1c0 a2=b706bab4 a3=bf83eac8 items=0 ppid=5055 pid=5299 auid=1002 uid=1002 gid=1002 euid=1002 suid=1002 fsuid=1002 egid=1002 sgid=1002 fsgid=1002 tty=(none) ses=14 comm=gtk-gnash exe=/usr/bin/gtk-gnash subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: pulseaudio,mozilla_plugin_t,default_t,dir,write
:
:audit2allow
:
:#============= mozilla_plugin_t ==============
:#!!!! The source type 'mozilla_plugin_t' can write to a 'dir' of the following types:
:# mozilla_plugin_tmp_t, tmpfs_t, tmp_t, user_fonts_cache_t, user_tmp_t, mozilla_plugin_tmpfs_t, user_home_t, pulseaudio_home_t, data_home_t, gnome_home_type, xdm_tmp_t, gconf_home_t, home_cert_t, gnome_home_t, mozilla_home_t, admin_home_t, user_home_dir_t
:
:allow mozilla_plugin_t default_t:dir write;
:
:audit2allow -R
:
:#============= mozilla_plugin_t ==============
:#!!!! The source type 'mozilla_plugin_t' can write to a 'dir' of the following types:
:# mozilla_plugin_tmp_t, tmpfs_t, tmp_t, user_fonts_cache_t, user_tmp_t, mozilla_plugin_tmpfs_t, user_home_t, pulseaudio_home_t, data_home_t, gnome_home_type, xdm_tmp_t, gconf_home_t, home_cert_t, gnome_home_t, mozilla_home_t, admin_home_t, user_home_dir_t
:
:allow mozilla_plugin_t default_t:dir write;
:
Comment 1 Daniel Walsh 2012-08-13 15:33:47 EDT
What is the /agage directory and why does gtk-gnash want to write to it?

Note You need to log in before you can comment on or make changes to this bug.